@import '~scss/_variables';
@import '~scss/styles';

article {
  margin-top: 4vh;
}

.back-btn-row {
  margin-bottom: 4vh;
}

thumbnailStyle h1 {
  background-color: #ccc;
  min-height: 300px;
  text-align: center;
  line-height: 300px;
  color: $font-header-color;
}

.back {
  font-family: Rubik;
  font-size: 1rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
  cursor: pointer;
}

.title {
  font-size: 42px;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
  vertical-align: middle;
  margin-top: 20px;
  margin-bottom: 20px;
}

.category {
  display: inline-block;
  font-family: Inconsolata;
  font-size: x-large;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #4d4d4d;
  background-color: #ffd944;
  padding: 6px 15px;
  text-align: right;
}

.description-content {
  margin-top: 7vh;
  background: rgba(255, 255, 255, 0.7);
}

.description {
  min-height: 4rem;

  p {
    line-height: 30px;
  }
}

.descColums-2 {
  -webkit-column-count: 1;
  /* Chrome, Safari, Opera */
  -moz-column-count: 1;
  /* Firefox */
  column-count: 1;
}

.descColums-1 {
  -webkit-column-count: 1;
  /* Chrome, Safari, Opera */
  -moz-column-count: 1;
  /* Firefox */
  column-count: 1;
}

.edit {
  border-radius: 20px;
  color: $font-header-color;
  float: right;
  width: 70px;
}

.homepage {
  text-transform: uppercase;
  width: 239px;
  height: 40px;
  margin-top: 20px;
  padding-top: 8px;
  border-radius: 20px;
  font-size: 14px;
  font-weight: 500;
  background-color: #3fd8c9;
  color: $font-header-color;
}

.other {
  margin-top: 4rem;
  margin-bottom: 4rem;
}

.hruler {
  margin-top: 100px;
  margin-bottom: 50px;
  width: 350px;
  height: 2px;
  background-color: #3fd8c9;
  margin-left: auto;
  margin-right: auto;
}

.company {
  padding: 2rem;
  background-color: #ffeb9e;
}

.company-title {
  font-size: 1.7rem;
  margin-bottom: 28px;
}

.service-meta {
  margin-left: 52px;
}

.tags {
  margin-top: 20px;
}

.tag {
  margin-right: 0.8rem;
  margin-bottom: 10px;
  font-family: $font-header;
  font-size: 1rem;
  font-weight: normal;
  text-align: center;
  border-radius: 20px;
  background-color: #ace2dd;
  color: $font-header-color;
  padding: 7px 25px;
  text-transform: capitalize;
}

.tag-overflow {
  cursor: pointer;
  font-family: Rubik;
  border-bottom: 1px solid black;
  display: inline-block;
}

.card-tags {
  border: 0 solid white;
}


.search-result-card {
  //height: 240px;
  border-radius: 1px;
  background-color: #FFF;
  box-shadow: 0 6px 16px 0 rgba(0, 0, 0, 0.2);
  cursor: pointer;
  margin: 7px;
  transition: all .5s ease-in-out;
  overflow: hidden;
  &:hover{
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
  }
}


.result-image {
  padding-left: 10px;
  & img {
    margin-top: 10px;
    width: 100%;
    border-radius: 3px;
  }
}


.result-title {
  padding-top: 1rem;
  padding-bottom: 12px;
  font-family: Rubik;
  font-size: 1.1rem;
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  line-height: 25px;
  letter-spacing: normal;
  color: #4d4d4d;
}

.result-description {
  font-family: Rubik;
  font-size: 14px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #222222;
}

.result-footer {
  width: 100%;
  margin-bottom: -10px;
}

.card-other {
  width: 340px;
  height: 200px;
  border-radius: 1px;
  box-shadow: 0 6px 16px 0 rgba(0, 0, 0, 0.3);
  background-color: #ffffff;
  margin: 1rem;
  overflow: hidden;
}
.row-other-title {
  padding: 0;
  margin: 0;
}
.row-other-description{
  margin: 0;
}

.other-img {
  max-width: 100px;
  margin: 0;
  padding: 0;
}
.other-link {
  &:hover {
    text-decoration: none;
    color: #222222;
  }
}

.alla-tjnster {
  text-align: center;
  margin-top: 3rem;
  font-family: Rubik;
  font-size: 16px;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #222222;
  &:hover {
    cursor: pointer;
  }
}

// Extra small devices (portrait phones, less than 576px)
// No media query since this is the default in Bootstrap

// Small devices (landscape phones, 576px and up)
@media (min-width: 576px) {}

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) {
  .descColums-2 {
    column-gap: 100px;
    -webkit-column-count: 2;
    /* Chrome, Safari, Opera */
    -moz-column-count: 2;
    /* Firefox */
    column-count: 2;
  }
}

// Large devices (desktops, 992px and up)
@media (min-width: 992px) {}

// Extra large devices (large desktops, 1200px and up)
@media (min-width: 1200px) {}
